<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:a4j="http://richfaces.org/a4j"
      xmlns:rich="http://richfaces.org/rich"
      xmlns:c="http://java.sun.com/jsp/jstl/core"
      xmlns:notifications="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/notifications"
      xmlns:identification="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/identification"
      xmlns:popups="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/popups">
    <h:outputStylesheet library="css" name="extraction/#{css}" />

    <f:loadBundle
        basename="org.inra.ecoinfo.genericfilesrepository.uijsf.datatypeschoicestep"
        var="datatypeschoicestep" />

    <ui:param name="uiBean" value="#{uiGenericExtraction}">
        <f:loadBundle
            basename="org.inra.ecoinfo.genericfilesrepository.uijsf.generic-extraction-jsf"
            var="genericExtraction" />
    </ui:param>
    <a4j:jsFunction name="selectDatatype" execute="@this,parametersRequest"
                    action="#{uiBean.selectDatatype}"
                    render="listDatatypes,parametersRequest, prevStepButton, nextStepButton, validImage, messageWarningStep2"
                    limitRender="true">
        <a4j:param name="param1" assignTo="#{uiBean.idDatatypeSelected}" />
    </a4j:jsFunction>


    <h:panelGroup id="messageWarningStep2">
        <h:outputText
            value="#{datatypeschoicestep.PROPERTY_MSG_CHOOSE_ONE_VARIABLE}"
            rendered="#{empty uiBean.parametersRequest.datatypesSelected}"
            styleClass="selectionEmpty" />
    </h:panelGroup>

    <h:panelGroup styleClass="panelControlsWrapper" layout="block">
        <h:panelGroup styleClass="panelControls">
            <h:panelGroup styleClass="control">
                <a4j:commandLink execute="@this,parametersRequest"
                                 styleClass="buttonStepNext" limitRender="true"
                                 action="#{uiBean.addAllDatatypes}"
                                 render="listDatatypes,parametersRequest, prevStepButton, nextStepButton, validImage, messageWarningStep2">
                    <h:graphicImage value="#{resource['images:add.png']}" />
                    <h:outputText
                        value="#{datatypeschoicestep.PROPERTY_MSG_ADD_ALL_VARIABLE}" />
                </a4j:commandLink>
            </h:panelGroup>
            <h:panelGroup styleClass="control">
                <a4j:commandLink execute="@this,parametersRequest"
                                 styleClass="buttonStepNext" limitRender="true"
                                 action="#{uiBean.removeAllDatatypes}"
                                 render="listDatatypes,parametersRequest, prevStepButton, nextStepButton, validImage, messageWarningStep2">
                    <h:graphicImage value="#{resource['images:remove_selection.png']}" />
                    <h:outputText
                        value="#{datatypeschoicestep.PROPERTY_MSG_DELETE_ALL_VARIABLE}" />
                </a4j:commandLink>
            </h:panelGroup>
        </h:panelGroup>
    </h:panelGroup>

    <p class="intro">#{datatypeschoicestep.PROPERTY_MSG_CHOOSE_ONE_VARIABLE}</p>

    <h3>#{datatypeschoicestep.MSG_DATATYPES_LIST_TITLE}</h3>

    <h:panelGroup id="listDatatypes">


        <rich:list value="#{uiBean.datatypesAvailablesForExtraction}" var="datatype">

            <h:outputLink value="#"
                          onclick="selectDatatype(#{datatype.datatype.datatype.id})">

               
                <h:outputText value="#{datatype.localizedDatatypeName}"
                              styleClass="#{datatype.selected ? 'selected':''}" />
                <h:graphicImage name="check.png" library="images"
                                rendered="#{datatype.selected}" />
                <rich:list value="#{datatype.datatype.variables}" var="innerVariable">
                    <h:outputText value="#{innerVariable.nom}" styleClass="variable-datatype"/>
                    
                </rich:list>
            </h:outputLink>
        </rich:list>
        <rich:list value="#{uiBean.datatypesNonStillAvailables}" var="datatype">

            <h:outputText value="#{datatype.localizedDatatypeName}" style="font-style: italic" styleClass="disabled" />
        </rich:list>
    </h:panelGroup>
</html>